function HeaderCtrl($scope, UserService) {
 $scope.$watch( function () { return UserService.currentUser(); }, function (currentUser) {
    $scope.user = currentUser;
  }, true);
}

function RepoListCtrl($scope, Restangular) {
  var repositoryFetch = Restangular.all('repository/');
  repositoryFetch.getList().then(function(resp) {
    $scope.repositories = resp.repositories;
  });
}

function LandingCtrl($scope) {

}

function RepoCtrl($scope, Restangular, $routeParams, $rootScope) {
  $rootScope.title = 'Loading...';
   
  $scope.editDescription = function() {
    if (!$scope.repo.can_write) { return; }
    $('#descriptionEdit')[0].value = $scope.repo.description || '';
    $('#editModal').modal({});
  };

  $scope.saveDescription = function() {
    $('#editModal').modal('hide');
    $scope.repo.description = $('#descriptionEdit')[0].value;
    $scope.repo.put();
  };  

  var namespace = $routeParams.namespace;
  var name = $routeParams.name;
  var tag = $routeParams.tag || 'latest';

  var repositoryFetch = Restangular.one('repository/' + namespace + '/' + name);
  repositoryFetch.get().then(function(repo) {
    $rootScope.title = namespace + '/' + name;
    $scope.repo = repo;
    $scope.currentTag = repo.tags[tag] || repo.tags['latest'];
  }, function() {
    $scope.repo = null;
    $rootScope.title = 'Unknown Repository';
  });
}
